GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Enumerations | Functions | Variables
frame_settings.h File Reference
`#include <grpc/support/port_platform.h>`
`#include <grpc/support/slice.h>`
`#include "src/core/transport/chttp2/frame.h"`

Go to the source code of this file.

## Data Structures
struct | grpc_chttp2_settings_parser
struct | grpc_chttp2_setting_parameters

## Enumerations
enum | grpc_chttp2_settings_parse_state { GRPC_CHTTP2_SPS_ID0, GRPC_CHTTP2_SPS_ID1, GRPC_CHTTP2_SPS_VAL0, GRPC_CHTTP2_SPS_VAL1, GRPC_CHTTP2_SPS_VAL2, GRPC_CHTTP2_SPS_VAL3 }
enum | grpc_chttp2_setting_id { GRPC_CHTTP2_SETTINGS_HEADER_TABLE_SIZE = 1, GRPC_CHTTP2_SETTINGS_ENABLE_PUSH = 2, GRPC_CHTTP2_SETTINGS_MAX_CONCURRENT_STREAMS = 3, GRPC_CHTTP2_SETTINGS_INITIAL_WINDOW_SIZE = 4, GRPC_CHTTP2_SETTINGS_MAX_FRAME_SIZE = 5, GRPC_CHTTP2_SETTINGS_MAX_HEADER_LIST_SIZE = 6, GRPC_CHTTP2_NUM_SETTINGS }
enum | grpc_chttp2_invalid_value_behavior { GRPC_CHTTP2_CLAMP_INVALID_VALUE, GRPC_CHTTP2_DISCONNECT_ON_INVALID_VALUE }

## Functions
gpr_slice | grpc_chttp2_settings_create (gpr_uint32 *old, const gpr_uint32 *new, gpr_uint32 force_mask, size_t count)
gpr_slice | grpc_chttp2_settings_ack_create (void)
grpc_chttp2_parse_error | grpc_chttp2_settings_parser_begin_frame (grpc_chttp2_settings_parser *parser, gpr_uint32 length, gpr_uint8 flags, gpr_uint32 *settings)
grpc_chttp2_parse_error | grpc_chttp2_settings_parser_parse (void *parser, grpc_chttp2_transport_parsing *transport_parsing, grpc_chttp2_stream_parsing *stream_parsing, gpr_slice slice, int is_last)

## Variables
const grpc_chttp2_setting_parameters | grpc_chttp2_settings_parameters [GRPC_CHTTP2_NUM_SETTINGS]

## Enumeration Type Documentation

enum grpc_chttp2_invalid_value_behavior

Enumerator
GRPC_CHTTP2_CLAMP_INVALID_VALUE |
GRPC_CHTTP2_DISCONNECT_ON_INVALID_VALUE |

enum grpc_chttp2_setting_id

Enumerator
GRPC_CHTTP2_SETTINGS_HEADER_TABLE_SIZE |
GRPC_CHTTP2_SETTINGS_ENABLE_PUSH |
GRPC_CHTTP2_SETTINGS_MAX_CONCURRENT_STREAMS |
GRPC_CHTTP2_SETTINGS_INITIAL_WINDOW_SIZE |
GRPC_CHTTP2_SETTINGS_MAX_FRAME_SIZE |
GRPC_CHTTP2_SETTINGS_MAX_HEADER_LIST_SIZE |
GRPC_CHTTP2_NUM_SETTINGS |

enum grpc_chttp2_settings_parse_state

Enumerator
GRPC_CHTTP2_SPS_ID0 |
GRPC_CHTTP2_SPS_ID1 |
GRPC_CHTTP2_SPS_VAL0 |
GRPC_CHTTP2_SPS_VAL1 |
GRPC_CHTTP2_SPS_VAL2 |
GRPC_CHTTP2_SPS_VAL3 |

## Function Documentation

gpr_slice grpc_chttp2_settings_ack_create | ( | void |  | ) |

gpr_slice grpc_chttp2_settings_create | ( | gpr_uint32 * | old,
|  | const gpr_uint32 * | new,
|  | gpr_uint32 | force_mask,
|  | size_t | count
| ) |  |

grpc_chttp2_parse_error grpc_chttp2_settings_parser_begin_frame | ( | grpc_chttp2_settings_parser * | parser,
|  | gpr_uint32 | length,
|  | gpr_uint8 | flags,
|  | gpr_uint32 * | settings
| ) |  |

grpc_chttp2_parse_error grpc_chttp2_settings_parser_parse | ( | void * | parser,
|  | grpc_chttp2_transport_parsing * | transport_parsing,
|  | grpc_chttp2_stream_parsing * | stream_parsing,
|  | gpr_slice | slice,
|  | int | is_last
| ) |  |

## Variable Documentation

const grpc_chttp2_setting_parameters grpc_chttp2_settings_parameters[GRPC_CHTTP2_NUM_SETTINGS]